package models

type MerchantRechargeRequest struct {
	ClientCode         string `json:"client_code"`          // 客户端code
	MerchantOpenID     string `json:"merchant_open_id"`     // Open id
	MerchantRechargeID int64  `json:"merchant_recharge_id"` // 充值id
}

type MerchantRechargeTicketListRequest struct {
	ClientOpenId   string `json:"client_open_id"`
	MerchantOpenId string `json:"merchant_open_id"`
	PageSize       int    `json:"page_size"`
	PageIndex      int    `json:"page_index"`
}

type MerchantRechargeTicketListReply struct {
	RechargeProjectQuantity int    `json:"recharge_project_quantity"` // 项目数量
	RechargeProjectName     string `json:"recharge_project_name"`     // 项目名
	MerchantOpenID          string `json:"merchant_open_id"`          //
	ClientOpenID            string `json:"client_open_id"`            //
	MerchantOpenName        string `json:"merchant_open_name"`        //商户名称
	TicketId                int64  `json:"ticket_id"`
}
