package models

type MerchantRechargeClientAccountLogRequest struct {
	ClientOpenId string `json:"client_open_id"`
	Type         int    `json:"type"` //1-账户充值 2-卡券核销
	PageSize     int    `json:"page_size"`
	PageIndex    int    `json:"page_index"`
}

type MerchantRechargeClientAccountLogReply struct {
	MerchantOpenName  string `json:"merchant_open_name"`  //商家名称
	CancelAmount      string `json:"cancel_amount"`       //核销数量 核销金额
	CancelAmountAfter string `json:"cancel_amount_after"` //剩余核销数量 核销金额
	CancelAmountPre   string `json:"cancel_amount_pre"`   //核销前数量 核销前金额
	Operator          string `json:"operator"`            //核销人
	CancelTime        string `json:"cancel_time"`         //核销日期

}

type MerchantRechargeAccountLogRequest struct {
	MerchantOpenId string `json:"merchant_open_id"`
	Type           int    `json:"type"` //1-账户充值 2-卡券核销
	PageSize       int    `json:"page_size"`
	PageIndex      int    `json:"page_index"`
}

type MerchantRechargeAccountLogReply struct {
	ClientCode        string `json:"client_code"`         //客户code
	CancelAmount      string `json:"cancel_amount"`       //核销数量 核销金额
	CancelAmountAfter string `json:"cancel_amount_after"` //剩余核销数量 核销金额
	CancelAmountPre   string `json:"cancel_amount_pre"`   //核销前数量 核销前金额
	Operator          string `json:"operator"`            //核销人
	CancelTime        string `json:"cancel_time"`         //核销日期

}
