package models

type CreateMerchantCardProjectRequest struct {
	MerchantOpenID   string `json:"merchant_open_id"`   // open_id
	ProjectUnitPrice string `json:"project_unit_price"` // 单价
	ProjectUnit      string `json:"project_unit"`       // 产品单位
	ProjectUrl       string `json:"project_url"`        // 图片
	ProjectName      string `json:"project_name"`       //
	CancelNumber     int    `json:"cancel_number"`      //核销数量
}

type GetMerchantCardProjectRequest struct {
	MerchantCardProjectId int64 `json:"merchant_card_project_id"` //商户卡项目id
}

type MerchantCardProjectListRequest struct {
	OpenId    string `json:"open_id"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
}
type MerchantCardProjectListReply struct {
	ID               int64  `json:"id"`
	Filled           bool   `json:"filled"`
	MerchantOpenID   string `json:"merchant_open_id"`   // open_id
	ProjectUnitPrice string `json:"project_unit_price"` // 单价
	ProjectUnit      string `json:"project_unit"`       // 产品单位
	ProjectUrl       string `json:"project_url"`        // 图片
	ProjectName      string `json:"project_name"`
}

type UpdateMerchantCardProjectRequest struct {
	ID               int64  `json:"id"`
	ProjectUnitPrice string `json:"project_unit_price"` // 单价
	ProjectUnit      string `json:"project_unit"`       // 产品单位
	ProjectUrl       string `json:"project_url"`        // 图片
	ProjectName      string `json:"project_name"`
}
